package com.casic.br.model;

public class UserModel {

    private int dataVersion;
    private DomainModel domain;
    private String ecode;
    private String email;
    private ExtrasModel extras;
    private String headPic;
    private String mobile;
    private String nickName;
    private String partnerIdentity;
    private String phoneCode;
    private int productCount;
    private int regFrom;
    private String sid;
    private String snsNickname;
    private int tempUnit;
    private String timezoneId;
    private String uid;
    private int userType;
    private String username;

    public int getDataVersion() {
        return dataVersion;
    }

    public void setDataVersion(int dataVersion) {
        this.dataVersion = dataVersion;
    }

    public DomainModel getDomain() {
        return domain;
    }

    public void setDomain(DomainModel domain) {
        this.domain = domain;
    }

    public String getEcode() {
        return ecode;
    }

    public void setEcode(String ecode) {
        this.ecode = ecode;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public ExtrasModel getExtras() {
        return extras;
    }

    public void setExtras(ExtrasModel extras) {
        this.extras = extras;
    }

    public String getHeadPic() {
        return headPic;
    }

    public void setHeadPic(String headPic) {
        this.headPic = headPic;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getPartnerIdentity() {
        return partnerIdentity;
    }

    public void setPartnerIdentity(String partnerIdentity) {
        this.partnerIdentity = partnerIdentity;
    }

    public String getPhoneCode() {
        return phoneCode;
    }

    public void setPhoneCode(String phoneCode) {
        this.phoneCode = phoneCode;
    }

    public int getProductCount() {
        return productCount;
    }

    public void setProductCount(int productCount) {
        this.productCount = productCount;
    }

    public int getRegFrom() {
        return regFrom;
    }

    public void setRegFrom(int regFrom) {
        this.regFrom = regFrom;
    }

    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    public String getSnsNickname() {
        return snsNickname;
    }

    public void setSnsNickname(String snsNickname) {
        this.snsNickname = snsNickname;
    }

    public int getTempUnit() {
        return tempUnit;
    }

    public void setTempUnit(int tempUnit) {
        this.tempUnit = tempUnit;
    }

    public String getTimezoneId() {
        return timezoneId;
    }

    public void setTimezoneId(String timezoneId) {
        this.timezoneId = timezoneId;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public int getUserType() {
        return userType;
    }

    public void setUserType(int userType) {
        this.userType = userType;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public static class DomainModel {
        private String aispeechHttpsUrl;
        private String aispeechQuicUrl;
        private boolean defaultRegion;
        private String fusionUrl;
        private String gwApiUrl;
        private String gwMqttUrl;
        private String mobileApiUrl;
        private String mobileMediaMqttUrl;
        private String mobileMqttUrl;
        private String mobileMqttsUrl;
        private String mobileQuicUrl;
        private String mqttQuicUrl;
        private String regionCode;
        private String tuyaAppUrl;
        private String tuyaImagesUrl;

        public String getAispeechHttpsUrl() {
            return aispeechHttpsUrl;
        }

        public void setAispeechHttpsUrl(String aispeechHttpsUrl) {
            this.aispeechHttpsUrl = aispeechHttpsUrl;
        }

        public String getAispeechQuicUrl() {
            return aispeechQuicUrl;
        }

        public void setAispeechQuicUrl(String aispeechQuicUrl) {
            this.aispeechQuicUrl = aispeechQuicUrl;
        }

        public boolean isDefaultRegion() {
            return defaultRegion;
        }

        public void setDefaultRegion(boolean defaultRegion) {
            this.defaultRegion = defaultRegion;
        }

        public String getFusionUrl() {
            return fusionUrl;
        }

        public void setFusionUrl(String fusionUrl) {
            this.fusionUrl = fusionUrl;
        }

        public String getGwApiUrl() {
            return gwApiUrl;
        }

        public void setGwApiUrl(String gwApiUrl) {
            this.gwApiUrl = gwApiUrl;
        }

        public String getGwMqttUrl() {
            return gwMqttUrl;
        }

        public void setGwMqttUrl(String gwMqttUrl) {
            this.gwMqttUrl = gwMqttUrl;
        }

        public String getMobileApiUrl() {
            return mobileApiUrl;
        }

        public void setMobileApiUrl(String mobileApiUrl) {
            this.mobileApiUrl = mobileApiUrl;
        }

        public String getMobileMediaMqttUrl() {
            return mobileMediaMqttUrl;
        }

        public void setMobileMediaMqttUrl(String mobileMediaMqttUrl) {
            this.mobileMediaMqttUrl = mobileMediaMqttUrl;
        }

        public String getMobileMqttUrl() {
            return mobileMqttUrl;
        }

        public void setMobileMqttUrl(String mobileMqttUrl) {
            this.mobileMqttUrl = mobileMqttUrl;
        }

        public String getMobileMqttsUrl() {
            return mobileMqttsUrl;
        }

        public void setMobileMqttsUrl(String mobileMqttsUrl) {
            this.mobileMqttsUrl = mobileMqttsUrl;
        }

        public String getMobileQuicUrl() {
            return mobileQuicUrl;
        }

        public void setMobileQuicUrl(String mobileQuicUrl) {
            this.mobileQuicUrl = mobileQuicUrl;
        }

        public String getMqttQuicUrl() {
            return mqttQuicUrl;
        }

        public void setMqttQuicUrl(String mqttQuicUrl) {
            this.mqttQuicUrl = mqttQuicUrl;
        }

        public String getRegionCode() {
            return regionCode;
        }

        public void setRegionCode(String regionCode) {
            this.regionCode = regionCode;
        }

        public String getTuyaAppUrl() {
            return tuyaAppUrl;
        }

        public void setTuyaAppUrl(String tuyaAppUrl) {
            this.tuyaAppUrl = tuyaAppUrl;
        }

        public String getTuyaImagesUrl() {
            return tuyaImagesUrl;
        }

        public void setTuyaImagesUrl(String tuyaImagesUrl) {
            this.tuyaImagesUrl = tuyaImagesUrl;
        }
    }

    public static class ExtrasModel {
        private int developer;

        public int getDeveloper() {
            return developer;
        }

        public void setDeveloper(int developer) {
            this.developer = developer;
        }
    }
}
